package com.logicbig.example;


import org.glassfish.jersey.server.ResourceConfig;
import org.glassfish.jersey.test.JerseyTest;
import org.junit.Assert;
import org.junit.Test;

import javax.ws.rs.client.Invocation;
import javax.ws.rs.core.Application;
import javax.ws.rs.core.MediaType;

public class OrderServiceTest extends JerseyTest {

    @Override
    protected Application configure() {
        return new ResourceConfig(OrderService.class);
    }

    @Test
    public void ordersPathParamTest() {
        Invocation.Builder request = target("orders/4534").request();
        String response = request.accept(MediaType.APPLICATION_JSON_TYPE)
                .get(String.class);
        System.out.println(response);
        Assert.assertTrue("{\"orderId\": \"4534\", \"customer\": John}".equals(response));


        request = target("orders/4534").request();
        response = request.accept(MediaType.TEXT_PLAIN_TYPE).get(String.class);
        System.out.println(response);
        Assert.assertTrue("returning order with id 4534".equals(response));
    }
}